Permalink
Commits on Jun 30, 2011
  1. release 0.9.0rc9

    timcharper committed Jun 30, 2011
    rc9
  2. update lock files

    timcharper committed Jun 30, 2011
Commits on Jun 29, 2011
  1. Merge pull request #127 from stepheneb/fix-cucumber-rails-integration

    timcharper committed Jun 29, 2011
    fix cucumber-rails integration and feature test
Commits on Jun 28, 2011
  1. fix cucumber-rails integration and feature test

    stepheneb committed Jun 28, 2011
    See: https://github.com/timcharper/spork/issues/122
    
    I did not commit the Gemfile.lock file used for generated rails3
    application used for the cucumber-rails integration feature test.
    
    This file does not affect the operation of spork and
    will be re-generated whenever the Gemfile is updated and
    the feature is run. 
    
    FYI: the following feature/scenarios fail on the master 
    branch both before and after this commit:
    
      features/diagnostic_mode.feature:6 
      # Scenario: Running spork --diagnose
      
      features/rails_delayed_loading_workarounds.feature:70 
      # Scenario: respecting custom autoload paths
  2. Merge pull request #124 from stepheneb/fix_for_rubygems_1_6_0-to-1_8_…

    timcharper committed Jun 28, 2011
    …5_and_ruby_1_9_2
    
    pass string to require -- fix for RubyGems bug
  3. pass string to require -- fix for RubyGems bug

    stepheneb committed Jun 28, 2011
    SPORK_ROOT is a pathname object and the result of adding 
    a string to it is a Pathname object.
    
    RubyGems 1.6.0 through 1.8.5 pass the require path to
    Regexp.escape(). In Ruby 1.9.2 passing a Pathname to
    Regex.escape() throws this error:
    
      "can't convert Pathname to String (TypeError)"
    
    This RubyGems bug is fixed but not yet in a release.
    
    This bug does not show up when using bundler exec to run
    cucumber feature tests -- only when using cucumber directly.
Commits on May 28, 2011
  1. Merge pull request #121 from dchelimsky/support-rspec2

    timcharper committed May 28, 2011
    Support rspec2
  2. upgrade to rspec-2.6 and update specs to newer conventions

    dchelimsky committed May 28, 2011
    - RSpec adds lib and spec to load path, so require 'spec_helper' works
      and you don't need to add lib yourself
      - this also means spec_helper need not be wrapped in a condittional -
        it won't be loaded more than once
    - take advantage of the described class in the shared groups
    - use new be_within matcher instead of deprecated be_close matcher
Commits on May 27, 2011
  1. fixes rake spec task

    timcharper committed May 27, 2011
Commits on May 26, 2011
  1. release 0.9.0.rc8

    timcharper committed May 26, 2011
Commits on May 18, 2011
  1. Merge pull request #116 from cesario/patch-1

    timcharper committed May 18, 2011
    Fixed the link to the Spork-DRb support wiki page.
Commits on May 6, 2011
  1. release 0.9.0.rc7

    timcharper committed May 6, 2011
  2. Alternative, backwards compatible Gem discovery mechanism implemented

    timcharper committed May 6, 2011
    It seems like it was broken before... too... was positive that I tested
    it.  Hmm
  3. Release 0.9.0.rc6

    timcharper committed May 6, 2011
  4. more spec fixes for 1.9.2

    timcharper committed May 6, 2011
    * String#map was removed and was being used previously (unintentionally)
    * require no longer uses Dir.pwd as a LOAD_PATH. Apparently you must
      qualify relative requires with a ./
  5. fixes spec issue

    timcharper committed May 6, 2011
    Spork.remove_hook! failed because Kernel.private_instance_methods
    returns symbols rather than strings in 1.9.2
  6. Merge pull request #104 from duff/master

    timcharper committed May 6, 2011
    default_executable= is deprecated
  7. Merge pull request #106 from Schneems/master

    timcharper committed May 6, 2011
    Update docs
  8. use latest cucumber / rspec

    timcharper committed May 6, 2011
Commits on Apr 28, 2011
  1. documentation update

    schneems committed Apr 28, 2011
Commits on Apr 15, 2011
  1. Remove default_executable= call from gemspec.

    duff committed Apr 15, 2011
    It's deprecated.
Commits on Apr 12, 2011